package logging

import (
	"fmt"

	"git.sr.ht/~cco/go-scopes/lib"
	"github.com/rs/zerolog"
	"github.com/rs/zerolog/log"
)

type Logger = zerolog.Logger

var globalLogger Logger = log.Logger

type Config struct {
	Logfile string
	Level   zerolog.Level
}

func Setup(ctx lib.Context, cfg *Config, home string) {
	if cfg != nil {
		fmt.Println("logging:", home, cfg.Logfile)
	}
}

func New(cfg *Config, home string) *Logger {
	return nil
}

func GetLogger(ctx lib.Context) *zerolog.Logger {
	if ctx == nil {
		return &globalLogger
	}
	return nil
}
